Endpoint: /server/reports

Returns the DPIA and PCI Compliance reports in JSON format.

Method & URL

GET https://[server URL]:[port]/admin/v2/server/reports/DPIA

GET Body Sample

Copy
GET https://{{host}}/admin/v2/server/reports/DPIA HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}

GET Response Body Sample

Copy
{
"data": {  
"attributes": {    
"dpia": [{        
"articles": [{            
"desc": "The processing of personal data falls within Article 2's definition of material scope. 
Risk is increased only if set to unknown scope.",            
"name": "Material scope",            
"num": 2,            
"score": 1,            
"value": "Unknown or undefined"},{            
"desc": "Specifies the territorial scope your organization has identified in context 
with this application's usage.",            
"name": "Territorial scope",            
"num": 3,            
"score": 1,            
"value": "Unknown or undefined"},{            
"desc": "If Not in Union was chosen for territorial scope then all users must have their data 
subject status set to either Yes or No.", 
…  
}
}

GET PowerShell Sample

Copy
#get Server DPIA Report
Write-Output "Get Server DPIA Report"
Write-Output "-----"
$server DPIA = Invoke-RestMethod -Uri "$baseURL/v2/server/reports/DPIA" 
-Method 'GET' -Headers $authHeader
Write-Output $serverDPIA | ConvertTo-Json -Depth 20
foreach ($server in $serverDPIA.data)
{    
Write-Output ("Server $($serverDPIA.data)")
}  

Method & URL

NOTE: This is a REST API v1 endpoint.

GET https://[server URL]:[port]/admin/v1/server/reports/PCICompliance

GET Body Sample

Copy
GET https://{{host}}/admin/v1/server/reports/PCICompliance HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}

GET Response Body Sample

Copy
HTTP/1.1 200 OKDate: Tue, 09 Aug 2022 17:30:22 GMTContent-Type: application/vnd.api+json
Content-Length: 234 Cache-Control: no-cache, no-store, must-revalidateExpires: 
-1X-Content-Type-Options: nosniffX-XSS-Protection: 1; mode=blockContent-Security-Policy: 
default-src 'self' 'unsafe-inline' 'unsafe-eval' data:; Referrer-Policy: no-referrer{
"PCICompliance": [{"failed": 12,"passed": 12,"siteId": "e82de253-b8ec-4b70-a72d-d017c3317f01",
"siteName": "MySite","warnings": 6},{"failed": 6,"passed": 11,"siteId": "ff493a39-1e28-40c5-ab18-2e6a4f33f296",
"siteName": "PCI_SITE","warnings": 5}]}

GET PowerShell Sample

Copy
#get Server PCIC Report
Write-Output "Get Server PCIC Report"
Write-Output "-----"
$serverPCIC = Invoke-RestMethod -Uri "
$baseURL/v1/server/reports/PCICompliance" -Method 'GET' -Headers 
$authHeaderWrite-Output $serverPCIC | ConvertTo-Json -Depth 20
foreach ($server in $serverPCIC.data)
{    
Write-Output ("Server $($serverPCIC.data)")
}